#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,l,h,i=1;
    cin>>n>>l;
    int ne=-1;
    while(i<=n && ne==-1){
        cin>>h;
        if(h<=l){
            ne=i;
        }
        i++;
    }
    while(i<=n){
        cin>>h;
        i++;
    }
    cout<<ne<<endl;
    return 0;
}